Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.worklist.build
Class TaskServiceGenUtil

    java.lang.Object
      com.bea.wli.worklist.build.TaskServiceGenUtil

    public class TaskServiceGenUtil

extends Object

The purpose of this ant task is: 1. Generate a task plan webservice for a given task plan. 2. Generate implementation for the generated webservice.

Author:
  Copyright (c) 2003 by BEA Systems. All Rights Reserved.

Constructor Summary
`TaskServiceGenUtil()`

Method Summary
`void` | `execute()`
`String` | `getContextPath()`
`File` | `getDestDir()`
`PrintStream` | `getLog()`
`com.bea.wli.worklist.api.webservice.generator.TaskServiceGenerator.ServiceType` | `getPattern()`
`String` | `getServicePortAddress()`
`TaskPlan` | `getTaskPlan()`
`File` | `getTaskPlanAppDir()`
`String` | `getTaskPlanAppName()`
`File` | `getTaskPlanFile()`
`File` | `getTempDir()`
`File` | `getWsdlFile()`
`String` | `getWsdlFilePrefix()`
`boolean` | `isGenJwsApi()`
`boolean` | `isGenJwsImpl()`
`boolean` | `isGenWsdl()`
`static void` | `main(String[] args)`
`void` | `setContextPath(String contextPath)`
`void` | `setDestDir(File destDir)`
`void` | `setGenJwsApi(boolean genApi)`
`void` | `setGenJwsImpl(boolean genImpl)`
`void` | `setGenWsdl(boolean genWsdl)`
`void` | `setLog(PrintStream log)`
`void` | `setPattern(com.bea.wli.worklist.api.webservice.generator.TaskServiceGenerator.ServiceType pattern)`
`void` | `setServicePortAddress(String servicePortAddress)`
`void` | `setTaskPlan(TaskPlan taskPlan)`
`void` | `setTaskPlanAppDir(File taskPlanAppDir)`
`void` | `setTaskPlanAppName(String taskPlanAppName)`
`void` | `setTaskPlanFile(File file)`
`void` | `setTempDir(File tempDir)`
`void` | `setWsdlFile(File wsdlFile)`
`void` | `setWsdlFilePrefix(String prefix)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TaskServiceGenUtil

    public TaskServiceGenUtil()

Method Detail

### getTaskPlanAppDir

    public File getTaskPlanAppDir()

### setTaskPlanAppDir

    public void setTaskPlanAppDir(File taskPlanAppDir)

### getTaskPlanAppName

    public String getTaskPlanAppName()

### setTaskPlanAppName

    public void setTaskPlanAppName(String taskPlanAppName)

### getTaskPlanFile

    public File getTaskPlanFile()

### getTaskPlan

    public TaskPlan getTaskPlan()

### setTaskPlan

    public void setTaskPlan(TaskPlan taskPlan)

### setTaskPlanFile

    public void setTaskPlanFile(File file)

### getWsdlFilePrefix

    public String getWsdlFilePrefix()

### setWsdlFilePrefix

    public void setWsdlFilePrefix(String prefix)

### getWsdlFile

    public File getWsdlFile()

### setWsdlFile

    public void setWsdlFile(File wsdlFile)

### getPattern

    public com.bea.wli.worklist.api.webservice.generator.TaskServiceGenerator.ServiceType getPattern()

### setPattern

    public void setPattern(com.bea.wli.worklist.api.webservice.generator.TaskServiceGenerator.ServiceType pattern)

### getContextPath

    public String getContextPath()

### setContextPath

    public void setContextPath(String contextPath)

### getTempDir

    public File getTempDir()

### setTempDir

    public void setTempDir(File tempDir)

### getDestDir

    public File getDestDir()

### setDestDir

    public void setDestDir(File destDir)

### isGenWsdl

    public boolean isGenWsdl()

### setGenWsdl

    public void setGenWsdl(boolean genWsdl)

### isGenJwsApi

    public boolean isGenJwsApi()

### setGenJwsApi

    public void setGenJwsApi(boolean genApi)

### isGenJwsImpl

    public boolean isGenJwsImpl()

### setGenJwsImpl

    public void setGenJwsImpl(boolean genImpl)

### getLog

    public PrintStream getLog()

### setLog

    public void setLog(PrintStream log)

### getServicePortAddress

    public String getServicePortAddress()

### setServicePortAddress

    public void setServicePortAddress(String servicePortAddress)

### execute

    public void execute()
                 throws com.bea.wli.worklist.api.webservice.generator.TaskServiceGenException

  Throws:
    `com.bea.wli.worklist.api.webservice.generator.TaskServiceGenException`

### main

    public static void main(String[] args)
                     throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD